Runtime

## org.eclipse.gmf.runtime.diagram.ui.properties.sections
Class AbstractNotationPropertiesSection

    java.lang.Object
      org.eclipse.ui.views.properties.tabbed.AbstractPropertySection
          org.eclipse.gmf.runtime.diagram.ui.properties.sections.AbstractModelerPropertySection
              org.eclipse.gmf.runtime.diagram.ui.properties.sections.AbstractNotationPropertiesSection

All Implemented Interfaces:
  ISection

Direct Known Subclasses:
  AbstractLabeledCheckboxPropertySection, ColorsAndFontsPropertySection, TextAlignmentPropertySection

    public abstract class AbstractNotationPropertiesSection

extends AbstractModelerPropertySection

Field Summary
`protected static int` `button_margin`
`protected Composite` `composite`
`protected int` `standardLabelWidth`
`protected static int` `vertical_offset`

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.properties.sections.AbstractModelerPropertySection
`disposed, eObject, eventListener, input, propertiesProvider, VALUE_CHANGED_STRING`

Fields inherited from class org.eclipse.ui.views.properties.tabbed.AbstractPropertySection
`STANDARD_LABEL_WIDTH`

Constructor Summary
`AbstractNotationPropertiesSection()`

Method Summary
`protected org.eclipse.emf.ecore.EObject` `adapt(java.lang.Object object)` Adapt the object to an EObject - if possible
`void` `createControls(Composite parent, TabbedPropertySheetPage aTabbedPropertySheetPage)`
`protected java.lang.String[]` `getAllNameLabels()`
`protected ILabelProvider` `getLabelProvider(java.lang.Object propertyId)` Get a label provider to do the translation Most entries on this page are handled using the string table to take care of translation.
`IGraphicalEditPart` `getSingleInput()` Returns currently selected view object
`protected int` `getStandardLabelWidth(Composite parent)`
`protected void` `initializeControls(Composite parent)` Provides a level of indirection for subclasses which want 'jump' over some control creation/initilialization steps and/or chnage thier order
`protected boolean` `isCurrentSelection(org.eclipse.emf.common.notify.Notification notification, org.eclipse.emf.ecore.EObject element)` Determines if the page is displaying properties for this element The element being passed to us is the style ie UMLConnectorStyle or UMLShapeStype.
`protected org.eclipse.emf.ecore.EObject` `unwrap(java.lang.Object object)` Unwarp the ME or diagram object down to the underlaying UML element

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.properties.sections.AbstractModelerPropertySection

`aboutToBeHidden, aboutToBeShown, addToEObjectList, createCommand, createCommand, digIntoGroups, dispose, executeAsCompositeCommand, executeAsReadAction, getEditingDomain, getEObject, getEObjectList, getEventListener, getFilter, getInput, getPrimarySelection, getStandardLabelWidth, getUpdateRequestCollapser, handleElementModifiedEvent, isDisposed, isNotifierDeleted, isReadOnly, postUpdateRequest, setEditingDomain, setEObject, setInput, update, update`

Methods inherited from class org.eclipse.ui.views.properties.tabbed.AbstractPropertySection
`getMinimumHeight, getPart, getSelection, getWidgetFactory, refresh, shouldUseExtraSpace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### vertical_offset

    protected static int vertical_offset

### button_margin

    protected static int button_margin

### standardLabelWidth

    protected int standardLabelWidth

### composite

    protected Composite composite

Constructor Detail

### AbstractNotationPropertiesSection

    public AbstractNotationPropertiesSection()

Method Detail

### getLabelProvider

    protected ILabelProvider getLabelProvider(java.lang.Object propertyId)

  Get a label provider to do the translation Most entries on this page are handled using the string table to take care of translation. In this case the string table does not have what we need so we get a label provider from a property descriptor. The property descriptor itself comes from a property source. This is the way the advanced tab operates.

  Returns:

### createControls

    public void createControls(Composite parent,
                               TabbedPropertySheetPage aTabbedPropertySheetPage)

  Specified by:
    `createControls` in interface `ISection`
  Overrides:
    `createControls` in class `AbstractModelerPropertySection`

### initializeControls

    protected void initializeControls(Composite parent)

  Provides a level of indirection for subclasses which want 'jump' over some control creation/initilialization steps and/or chnage thier order

  Parameters:
    `parent` - - parent composite

### isCurrentSelection

    protected boolean isCurrentSelection(org.eclipse.emf.common.notify.Notification notification,
                                         org.eclipse.emf.ecore.EObject element)

  Determines if the page is displaying properties for this element The element being passed to us is the style ie UMLConnectorStyle or UMLShapeStype. The element which we are holding will be an association, class etc. Comparing these 2 eobjects will always result in false being returned and no refresh. We are unable to analytically, consistantly trave from the eobject representing the style to the eobject representing the shape so we are stuck returning true in all cases.

  Overrides:
    `isCurrentSelection` in class `AbstractModelerPropertySection`
  Parameters:
    `notification` - The notification
    `element` - The element to be tested
  Returns:
    'true' if the page is displaying properties for this element

### getSingleInput

    public IGraphicalEditPart getSingleInput()

  Returns currently selected view object

  Returns:
    Returns the input.

### unwrap

    protected org.eclipse.emf.ecore.EObject unwrap(java.lang.Object object)

  Description copied from class: `AbstractModelerPropertySection`
  Unwarp the ME or diagram object down to the underlaying UML element

  Overrides:
    `unwrap` in class `AbstractModelerPropertySection`
  Parameters:
    `object` - - object from a diagram or ME
  Returns:
    - underlaying UML element
  See Also:
    `AbstractModelerPropertySection.unwrap(java.lang.Object)`

### adapt

    protected org.eclipse.emf.ecore.EObject adapt(java.lang.Object object)

  Adapt the object to an EObject - if possible

  Overrides:
    `adapt` in class `AbstractModelerPropertySection`
  Parameters:
    `object` - object from a diagram or ME
  Returns:
    EObject

### getStandardLabelWidth

    protected int getStandardLabelWidth(Composite parent)

  See Also:
    `AbstractModelerPropertySection.getStandardLabelWidth(org.eclipse.swt.widgets.Composite, java.lang.String[])`

### getAllNameLabels

    protected java.lang.String[] getAllNameLabels()

  Returns:
    - an array of property names (I18N-ed) to compute label column width

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.